﻿

/* a hover */
a:not(:disabled):not(.disabled):hover {
    color: var(--custom-high-contrast, #808080);
}


/*BOOTSTRAP ALERTS*/
.alert {
    width: 98%;
    max-width: 1100px;
    margin: 1em auto;
    padding: 0.6% 1%;
    border: 1px solid transparent;
}

    .alert .alert-link {
        font-weight: 500;
    }

    .alert.success {
        color: #3c763d;
        background-color: #dff0d8;
        border-color: #d6e9c6;
    }

    .alert.info {
        color: #31708f;
        background-color: #d9edf7;
        border-color: #bce8f1;
    }

    .alert.warning {
        color: #8a6d3b;
        background-color: #fcf8e3;
        border-color: #faebcc;
    }

    .alert.danger {
        color: #a94442;
        background-color: #f2dede;
        border-color: #ebccd1;
    }

    .alert.hybrid {
        color: #763c75;
        background-color: #E9D8F0;
        border-color: #d9c6e9;
    }

    .alert.ready {
        color: var(--custom-medium-contrast);
        background-color: var(--custom-border);
        border-color: var(--custom-visual-cue);
    }

    .alert.neutral {
        color: var(--light-low-contrast);
        background-color: var(--light-background);
        border-color: var(--light-border);
    }

    .alert.success .alert-link {
        color: #2b542c;
    }

    .alert.info .alert-link {
        color: #245269;
    }

    .alert.warning .alert-link {
        color: #66512c;
    }

    .alert.danger .alert-link {
        color: #843534;
    }

    .alert.hybrid .alert-link {
        color: #542b53;
    }

    .alert.neutral .alert-link {
        color: var(--light-high-contrast);
    }

    .alert.inverse {
        background: none;
    }

    .badge {
        font-weight: bold;
        padding: 0.1em 0.5em;
        margin: 0;
        border-radius: 4px;
    }



/*header*/
.header-register ul li a {
    line-height: 36px;
}
.header-register ul.dt-sc-custom-login > span {
    line-height: 36px;
}



/*menu*/

.dt-menu-toggle {
    font-size: 16px;
    font-weight: 700;
    padding: 15px;
    letter-spacing: 0.1em;
}

#header.header3 #logo {
    min-height: 155px;
}

#header.header3 #main-menu > ul.menu > li > a, #header.header4 #main-menu > ul.menu > li > a, #header.header3 #main-menu > ul.menu > li > span, #header.header4 #main-menu > ul.menu > li > span {
    padding-left: 16px;
}



/*fontawesome*/
.fal, .far, .fas {
    margin-right: 0.5em;
}
.fa-spinner {
    display: none;
}


.container {
    width: 94%;
    max-width: 1170px;
}

.header-register {
    margin: 0;
}
.header-register ul {
    margin-top: 0;
}

.main-title-section-wrapper {
    padding: 1em 0;
    margin-bottom: 2em;
}
.main-title-section h1 {
    margin-top: 0.3em;
    word-break: break-word;
}



/* -- buttons */
.courses-sorting {
    display: flex;
    flex-wrap: wrap;
}

.easy-autocomplete {
    display: inline-block;
    width: 50%;
    min-width: 300px;
}

.courses-sorting .courses-popular-type, .courses-sorting .courses-categorywise, .courses-sorting .courses-complexitywise, .courses-sorting .courses-classwise {
    float: none;
}

.courses-buttons {
    margin: 0.5em auto;
    text-align: center;
    flex: 1 1 100%;
}

.button {
    border: 2px solid;
    border-color: #0facce;
    float: none;
}
.button.inverse {
    color: #0facce;
    background: none;
}
    .button.inverse:hover {
        color: white;
        background-color: #0facce;
    }


a.button {
    color: #ffffff;
    text-transform: uppercase;
    font-weight: bold;
    margin: 10px 0;
    font-size: 14px;
    padding: 11px 20px;
    cursor: pointer;
    border-radius: 3px;
    -webkit-appearance: none;
    background-color: #0facce;
    border: 2px solid;
    border-color: #0facce;
    float: none;
    display: inline-block;
    text-align: center;
    line-height: 1.3em;
}
    a.button:hover {
        color: white;
        background-color: #303030;
    }

    a.button.inverse {
        color: #0facce;
        background: none;
    }

        a.button.inverse:hover {
            color: white;
            background-color: #303030;
        }


/* session popup */
.session-wrapper {
    display: none;
    padding: 20px;
    max-width: 600px;
}
.session-content {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

    .session-content .bton {
        margin: 10px auto 0;
    }

.session-header {
    flex: 1 1 100%;
}
    .session-header h4 {
        margin: 0;
        border-bottom: 1px solid #808080;
    }
    .session-header p {
        color: #808080;
        margin-top: 1em;
    }



/* -- course results */
.course-results {
    display: flex;
    margin-bottom: 60px;
    width: 100%;
    flex-wrap: wrap;
    row-gap: 10px;
}

.course-result-wrapper {
    display: flex;
    flex: 1 1 100%;
    column-gap: 1em;
    border-bottom: 1px solid black;
    margin-bottom: 1em;
    flex-wrap: wrap;
}

    .course-result-wrapper .course-title {
        flex: 1;
        font-weight: bold;
        font-size: 16px;
        line-height: 1.2em;
    }
    .course-result-wrapper .course-price {
        flex: 0 1 auto;
    }
    .course-result-wrapper .course-duration {
        flex: 0 1 auto;
        margin-left: 1.5em;
        margin-right: 1.5em;
    }
    .course-result-wrapper .course-credit {
        flex: 0 1 auto;
    }
    .course-result-wrapper .course-tags {
        flex: 1;
        font-size: 11px;
        order: 5;
        flex-basis: 100%;
    }
        .course-result-wrapper .course-tags a {
            color: #808080;
            font-size: 11px;
            margin-right: 0.2em;
        }
            .course-result-wrapper .course-tags a:after {
                content: ","
            }
                .course-result-wrapper .course-tags a:last-child:after {
                    content: ""
                }   
    .course-result-wrapper .course-button {
        flex: 0 1 auto;
    }

        .course-result-wrapper .course-button .dt-sc-button.small {
            color: #0facce;
            border-color: #0facce;
            margin: 0;
            padding: 10px 20px 8px;
        }

        .course-result-wrapper .course-button .dt-sc-button.small:hover {
            color: white;
        }


    .wpcw_fe_progress_box {
        width: 94%;
        margin: 10px auto;
    }



    /* portal menu / content */
    .portal-content-wrapper {
        display: flex;
        column-gap: 2em;
    }

    .portal-menu-wrapper {
        flex: 1 1 25%;
    }

    .portal-content, .student-course-results {
        flex: 1 1 auto;
        width: 100%;
    }

    /*
        14Sept2023 - kent - changing this to use direct child >
        .portal-content div, .student-course-results div {
        width: 100%;
    }*/
    .portal-content > div, .student-course-results > div {
        width: 100%;
    }




.subsection-title {
    margin: 2em 0 0.5em 0;
    background-color: #f6f6f6;
    border-left: 2px solid #0facce;
    padding: 12px 2%;
    font-weight: bold;
}

.webinar-actions {
    padding: 0 2em;
    margin-bottom: 2em;
}

.section-action-wrapper {
    display: flex;
    flex-wrap: wrap;
    column-gap: 1%;
}

.section-action {
    flex: 0 1 48%;
    margin-bottom: 1.5em;
    text-align: center;
    line-height: 1.25em;
}



/* -- login/register */
.wpcw-form.wpcw-form-login, .wpcw-form.wpcw-form-register {
    display: flex;
    flex-wrap: wrap;
    gap: 1%;
}

.wpcw-form .wpcw-form-row {
    flex: 1 1 100%;
}
    .wpcw-form .wpcw-form-row.half {
        flex: 1 1 47%;
    }



/* content / videos */
.ytwrapper {
    position: relative;
    padding-bottom: 56.25%; /* - 16:9 aspect ratio (most common) */
    /* padding-bottom: 62.5%; - 16:10 aspect ratio */
    /* padding-bottom: 75%; - 4:3 aspect ratio */
    padding-top: 30px;
    height: 0;
    overflow: hidden;
    width: 100%;
}
    .ytwrapper .yt {
        border: 0;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    .ytwrapper.nomodule, .item-content .ytwrapper.nomodule {
        display: none;
    }


.vimeo-wrapper {
    padding: 56.25% 0 0 0;
    position: relative;
    width: 100%;
}
    .vimeo-wrapper iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    .vimeo-wrapper.nomodule, .item-content .vimeo-wrapper.nomodule {
        display: none;
    }



/*quiz*/
.quiz-meta-container, .quiz-grade {
    display: flex;
    flex-wrap: wrap;
    width: 96%;
    margin: 1em 2% 0 2%;
}
.meta-text {
    flex: 1 1 25%;
}

.meta-value {
    flex: 1 1 75%;
}




/*sponsors*/
.sponsor-wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    column-gap: 1em;
}

.sponsor-item {
    flex: 1 1 48%;
    margin-bottom: 1em;
}







@media only screen and (min-width: 220px) and (max-width: 479px) {
    .container, #header.header2 .container, .main-menu-wrapper .container, #slider-search-container, #primary {
            /*width: 94%;*/
            width: 100%;
        }

        .header-register {
            text-align: right;
        }

            .header-register ul {
                text-align: right;
            }

                .header-register ul.dt-sc-custom-login > span {
                    float: none;
                }

        #logo, #header.header2 #logo, #header.header3 #logo, #header.header4 #logo {
            padding: 6px 0;
        }

            #header.header3 #logo {
                min-height: unset;
            }

            .main-title-section {
                text-align: left;
            }

        img.alignleft {
            width: 100%;
        }

        .wpcw_fe_progress_box {
            width: 80%;
        }


        /*header*/
    .header-register ul {
        margin-right: 12px;
    }


    /*menu*/
    #header.header3 #main-menu > ul.menu > li > a, #header.header4 #main-menu > ul.menu > li > a, .is-sticky #header.header3 #main-menu > ul.menu > li > a, .is-sticky #header.header4 #main-menu > ul.menu > li > a {
        padding-left: 15px;
        padding-top: 13px;
        padding-bottom: 13px;
        font-size: 16px;
        line-height: 16px;
    }

    #main-menu ul li.menu-item-simple-parent ul li a, #main-menu ul li.menu-item-simple-parent ul li .nolink-menu {
        font-size: 14px;
        line-height: 15px;
    }

    .course-result-wrapper {
        flex-wrap: wrap;
        border-bottom: 1px solid black;
        margin-bottom: 1em;
    }

            .course-result-wrapper .course-title {
                flex-basis: 65%;
            }

            .course-result-wrapper .course-price {
                order: 3;
            }

            .course-result-wrapper .course-duration {
                order: 4;
            }

            .course-result-wrapper .course-credit {
                order: 5;
            }

            .course-result-wrapper .course-tags {
                flex-basis: 100%;
                order: 6;
                margin-bottom: 1em;
            }

            .course-result-wrapper .course-button {
                flex-basis: 30%;
                order: 2;
                text-align: right;
            }



        .webinar-actions {
            padding: 0 1em;
        }



        /* -- login/register */
        .wpcw-form .wpcw-form-row.half {
            flex-basis: 100%;
        }



        /*course*/
        .course-purchase-content {
            flex-wrap: wrap;
        }

            .course-purchase-content button {
                flex-basis: 100%;
                margin-right: 1em;
            }



        /*quiz*/
        .meta-text {
            flex-basis: 40%;
        }

        .meta-value {
            flex-basis: 60%;
        }


        /*sponsors*/
        .sponsor-item {
            flex-basis: 100%;
        }



        #footer .copyright .copyright-info {
            margin-top: 3em;
        }
    }




    @media only screen and (min-width: 480px) and (max-width: 767px) {
        .container, #header.header2 .container, .main-menu-wrapper .container, #slider-search-container, #primary {
            /*width: 94%;*/
            width: 96%;
        }

        .header-register {
            text-align: right;
        }

            .header-register ul {
                text-align: right;
            }

                .header-register ul.dt-sc-custom-login > span {
                    float: none;
                }

        .main-title-section {
            text-align: left;
        }

        .wpcw_fe_progress_box {
            width: 90%;
        }


        /*menu*/
        /*#header.header3 #main-menu > ul.menu > li > a, #header.header4 #main-menu > ul.menu > li > a, .is-sticky #header.header3 #main-menu > ul.menu > li > a, .is-sticky #header.header4 #main-menu > ul.menu > li > a {
            padding-left: 15px
        }*/

        /*#header.header3 #main-menu, #header.header4 #main-menu {
            margin: 0;
        }*/




        .course-result-wrapper {
            flex-wrap: wrap;
            border-bottom: 1px solid black;
            margin-bottom: 1em;
        }

            .course-result-wrapper .course-title {
                flex-basis: 65%;
            }

            .course-result-wrapper .course-price {
                order: 3;
            }

            .course-result-wrapper .course-duration {
                order: 4;
            }

            .course-result-wrapper .course-credit {
                order: 5;
            }

            .course-result-wrapper .course-tags {
                flex-basis: 100%;
                order: 6;
                margin-bottom: 1em;
            }

            .course-result-wrapper .course-button {
                flex-basis: 30%;
                order: 2;
                text-align: right;
            }



        /*quiz*/
        .meta-text {
            flex-basis: 30%;
        }

        .meta-value {
            flex-basis: 70%;
        }



        #footer .copyright .copyright-info {
            margin-top: 3em;
        }
    }









    @media only screen and (min-width: 768px) and (max-width: 959px) {
        .container, #slider-search-container {
            width: 94%;
        }

        .main-title-section {
            text-align: left;
        }

        #footer .copyright .copyright-info {
            margin-top: 3em;
        }
    }








    @media only screen and (min-width: 960px) and (max-width: 1280px) {
        .container, #slider-search-container {
            width: 94%;
        }

        .main-title-section {
            text-align: left;
        }
    }
    table.wpcw-table thead th {
    background-color: #9cc;
}

.main-register {
    width: 100%;
    margin: 0px;
    float: left;
    position: relative;
    clear: both;
    background-color: #9EE6FE;
}

.header-register {
    margin: 0;
    font-size: 8pt;
}

.entry-details {
    margin: 0;
    padding: 0;
    min-height: unset;
}



.main-title-section-wrapper {
    margin: 0 0 3em 0;
}



@media only screen and (max-width: 960px) {

    /* portal menu / content */
    .portal-content, .student-course-results {
        flex-basis: 100%;
    }
}


@media only screen and (max-width: 767px) {
    .header-register ul li {
        float: right;
    }

    .header-register ul.dt-sc-custom-login > span {
        float: right;
    }

    .main-title-section {
        text-align: left;
    }
}


@media only screen and (max-width: 620px) {

    #header.header3 #main-menu, #header.header4 #main-menu {
        margin: 0 !important;
    }

    .main-title-section {
        width: 94%;
        margin: 0 auto;
        float: none;
    }
}





